<?
/**
 * VoiceOne Settings/Numbers
 *
 * Frontend to provide access to the numbering system in voiceone.
 * @package voiceone
 * @subpackage  settings_number
 */
 
  include ("../../admin/config/cfg.php");
  global $cwlang;
  
  //================ PAGE LOGIC ================
  $alert=getAlert();
  
  if ($_GET["cmd"]=="del") {
    $ret=$asterisk->delPhoneNumber($_GET["id"]);
    if ($ret==1) $alert="<div class=\"AlertGood\">".$cwlang["numb"]["alertDelGood"]."</div>";
    else $alert="<div class=\"AlertBad\">".$cwlang["numb"]["alertDelBad"]."</div>";
  }
 
  
  $ret=$asterisk->getPhoneNumber(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $count=0;
  if (is_array($ret)) {
    foreach($ret as $v) {
      $id=$v["id"];
      $name=$v["name"];
      $html.="<td> <a href=\"edit/?id=$id\">$name</a>  <a href=\"$PHP_SELF?cmd=del&id=$id\" onclick=\"if (confirm('Are you sure to remove the $name phone number class?')) return true; else return false;\"><img src=\"$relBasePath/public/img/trash.gif\" /></a></td>\n";
      if ((++$count)%2==0) $html.="</tr><tr>\n";
    }
  }  
  //================ MAIN CONTENTS ================
  ob_start();
  ?>
  <div class="SectionHeader">
    <?=$alert?>
    <h1><?=$cwlang["numb"]["title"]?></h1>
    <h3>
      <a href="edit/" class="admin" ><?=$cwlang["numb"]["newPhoneNumber"]?></a> 
    </h3>
  </div>
  <table class="todolist">
    <tr>
      <?=$html?>
    </tr>     
  </table>
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
        <div class="Sidebar">
          <h1><?=$cwlang["numb"]["sidebarTitle"]?></h1>
          <?=$cwlang["numb"]["sidebarDesc"]?>
          
        </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================

  $smarty->assign("section", "numbers");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');
?>

